<!DOCTYPE html>
<html xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:f="http://java.sun.com/jsf/core" xmlns="http://www.w3.org/1999/xhtml">
<h:head>
    <h:outputStylesheet library="stylesheet" name="GazelleXValidatorRuleEditor-${gazelle-assets-version}.css"/>
    <h:outputScript library="jscript" name="autofocus.js"/>
    <h:outputScript library="jscript" name="activeModal.js"/>
    <title>#{messages['net.ihe.gazelle.xvre.GazelleXValidatorRuleEditor']}</title>
    <link rel="shortcut icon" href="#{request.contextPath}/favicon.ico"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <ui:insert name="header"/>
    <h:outputScript library="jscript" name="jquery_1_11_2.min.js"/>
    <h:outputScript library="jscript" name="moment.js"/>
    <h:outputScript library="jscript" name="daterangepicker.js"/>
    <h:outputScript library="jscript" name="bootstrap.min.js"/>
    <h:outputScript library="jscript" name="chosen.jquery.min.js"/>
    <h:outputScript library="jscript" name="summernote.min.js"/>
    <h:outputScript library="jscript" name="gazelleTools.js"/>
    <script>
        //  in case of conflicts
        jq162 = jQuery.noConflict(true);

        jq162(function () {
            updateSelects();
            jq162('[data-toggle="popover"]').popover({html: true})
        });

        function updateSelects() {
            updateSelects_(jq162, {allow_single_deselect: true, display_selected_options: true, width: "90%"});
        }
    </script>
</h:head>
<h:body>
    <f:view>
        <ui:include src="/ajaxStatus.xhtml"/>
        <h:form id="menuForm">
            <ui:decorate template="/layout/menu/_menu_template.xhtml">
                <ui:define name="menu_title">
                    <h:outputLink value="/GazelleXValidatorRuleEditor/">
                        <h:outputText styleClass="navbar-brand" value="#{messages['net.ihe.gazelle.xvre.GazelleXValidatorRuleEditor']}"/>
                    </h:outputLink>
                </ui:define>
                <ui:define name="menu_logo">
                    <h:graphicImage library="img" name="gazelle.png"/>
                </ui:define>
                <ui:define name="menu_navigation_links">
                    <ui:include src="/layout/menu/_generate_navigation_links.xhtml">
                        <ui:param name="menu" value="#{applicationPreferenceProvider.menu}"/>
                        <ui:param name="url_base_name" value="#{applicationManager.getApplicationUrlBaseName()}"/>
                        <ui:param name="icon_template" value="/layout/menu/_fontawesome_icon_template.xhtml"/>
                    </ui:include>
                </ui:define>
                <ui:define name="menu_user_actions_right">
                    <ui:include src="/layout/menu-right.xhtml"/>
                </ui:define>
            </ui:decorate>
        </h:form>
        <div id="gzl-container">
            <div class="row">
                <div class="center-block gazelle-alert">
                    <s:decorate id="gazelle-messages">
                        <rich:messages globalOnly="true" escape="false"
                                       styleClass="fade-out-up text-center"
                                       style="list-style: none;"
                                       infoClass="alert gzl-alert-green animated-fast"
                                       warnClass="alert gzl-alert-orange animated-slow"
                                       errorClass="alert gzl-alert-red animated-slow">
                        </rich:messages>
                    </s:decorate>
                </div>
            </div>
            <ui:insert name="body"/>
        </div>

        <ui:include src="footer.xhtml"/>
        <ui:include src="_scrollup.xhtml"/>
    </f:view>
    <script>
        $('a[href="' + location.pathname + '"]').parents('li,ul')
            .addClass('active');
    </script>
    <a4j:status onstop="updateSelects()"/>
</h:body>
<h:outputScript library="jscript" name="ie10-viewport-bug-workaround.js"/>
</html>
